Package com.xebialabs.xlrelease.view

## Class WorkflowOverview

- java.lang.Object
- - com.xebialabs.xlrelease.view.WorkflowOverview

-     public class WorkflowOverview
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowOverview()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `getAllowTargetFolderOverride()` |
    `java.lang.String` | `getAuthor()` |
    `java.util.Set<java.lang.String>` | `getCategories()` |
    `java.lang.Integer` | `getCiUid()` |
    `java.lang.String` | `getDefaultTargetFolder()` |
    `java.lang.String` | `getDescription()` |
    `int` | `getExecutions()` |
    `java.lang.String` | `getFolderId()` |
    `java.lang.String` | `getFolderTitle()` |
    `java.lang.String` | `getId()` |
    `TemplateLogo` | `getLogo()` |
    `com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData` | `getScmTraceabilityData()` |
    `java.util.List<java.lang.String>` | `getTags()` |
    `java.lang.String` | `getTitle()` |
    `void` | `setAllowTargetFolderOverride​(java.lang.Boolean allowTargetFolderOverride)` |
    `void` | `setAuthor​(java.lang.String author)` |
    `void` | `setCategories​(java.util.Set<java.lang.String> categories)` |
    `void` | `setCiUid​(java.lang.Integer ciUid)` |
    `void` | `setDefaultTargetFolder​(java.lang.String defaultTargetFolder)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setExecutions​(int executions)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setFolderTitle​(java.lang.String folderTitle)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setLogo​(TemplateLogo logo)` |
    `void` | `setScmTraceabilityData​(com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData scmTraceabilityData)` |
    `void` | `setTags​(java.util.List<java.lang.String> tags)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowOverview

          public WorkflowOverview()

  - ### Method Detail

    - #### getCiUid

          public java.lang.Integer getCiUid()

    - #### setCiUid

          public void setCiUid​(java.lang.Integer ciUid)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getLogo

          public TemplateLogo getLogo()

    - #### setLogo

          public void setLogo​(TemplateLogo logo)

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### setAuthor

          public void setAuthor​(java.lang.String author)

    - #### getTags

          public java.util.List<java.lang.String> getTags()

    - #### setTags

          public void setTags​(java.util.List<java.lang.String> tags)

    - #### getCategories

          public java.util.Set<java.lang.String> getCategories()

    - #### setCategories

          public void setCategories​(java.util.Set<java.lang.String> categories)

    - #### getScmTraceabilityData

          public com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData getScmTraceabilityData()

    - #### setScmTraceabilityData

          public void setScmTraceabilityData​(com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData scmTraceabilityData)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getFolderTitle

          public java.lang.String getFolderTitle()

    - #### setFolderTitle

          public void setFolderTitle​(java.lang.String folderTitle)

    - #### getAllowTargetFolderOverride

          public java.lang.Boolean getAllowTargetFolderOverride()

    - #### setAllowTargetFolderOverride

          public void setAllowTargetFolderOverride​(java.lang.Boolean allowTargetFolderOverride)

    - #### getDefaultTargetFolder

          public java.lang.String getDefaultTargetFolder()

    - #### setDefaultTargetFolder

          public void setDefaultTargetFolder​(java.lang.String defaultTargetFolder)

    - #### getExecutions

          public int getExecutions()

    - #### setExecutions

          public void setExecutions​(int executions)